# tests partially enabled
# 'npm run lint' has as circular dependency problem
# depends on: jshint->htmlparser2->jshint
%global enable_tests 1
%global srcname htmlparser2

Name:           nodejs-%{srcname}
Version:        3.9.2
Release:        5%{?dist}
Summary:        Fast & forgiving HTML/XML/RSS parser
License:        MIT
URL:            https://github.com/fb55/htmlparser2
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(domhandler)
BuildRequires:  npm(entities)
BuildRequires:  npm(domutils)
%endif


%description
%{summary}.


%prep
%setup -q -n package
%autosetup -T -D -a 1 -n package

%nodejs_fixdep entities '^1.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 19 2018 Tom Hughes <tom@compton.nu> - 3.9.2-4
- Update npm(entities) dependency

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 3.9.2-1
- Update to upstream 3.9.2 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.8.3-3
- Move fixdep from %%install to %%prep

* Thu Jul 23 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 3.8.3-2
- fixdep npm(readable-stream)

* Sat Jul 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.8.3-1
- Update to 3.8.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Nov 23 2014 Piotr Popieluch <piotr1212@gmail.com> - 3.8.2-1
- Initial package
